package http_model

type WorkspaceGoodsInfoRequest struct {
	EnterpriseId string `json:"enterprise_id"`
	Days         int    `json:"days"`
}

type WorkspaceGoodsInfo struct {
	Pay                float64   `json:"pay"`
	PayList            []float64 `json:"pay_list"`
	Finish             float64   `json:"finish"`
	FinishList         []float64 `json:"finish_list"`
	Commission         float64   `json:"commission"`
	CommissionList     []float64 `json:"commission_list"`
	Order              int       `json:"order"`
	OrderList          []int     `json:"order_list"`
	Person             int       `json:"person"`
	PersonList         []int     `json:"person_list"`
	CommissionRate     float64   `json:"commissionRate"`
	CommissionRateList []float64 `json:"commissionRate_list"`
}

func NewWorkspaceGoodsInfoRequest() *WorkspaceGoodsInfoRequest {
	return new(WorkspaceGoodsInfoRequest)
}
func NewWorkspaceGoodsInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(WorkspaceGoodsInfo)
	return resp
}
